Get the asset instances of an asset

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/assets/{asset_id}/asset-asset-instances

Get the asset instances that are in an asset. An asset instance is a copy of an asset in another asset.

Path parameters

  • asset_id string(uuid) Required

    Unique identifier of the asset

Responses

  • 200 application/json

    The list of asset instances

    Hide response attributes Show response attributes object
    • id string(uuid)

      Asset instance unique identifier

    • asset_id string(uuid)

      Parent asset identifier

    • target_asset_id string(uuid)

      Target asset identifier

    • number string

      Instance number

    • description string

      Instance description

  • 403

    You do not have access to this project

  • 404

    The asset does not exist

GET /data/assets/{asset_id}/asset-asset-instances
curl -X GET "http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/asset-asset-instances" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/asset-asset-instances"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "f79f13f9-1320-9110-f625-029085371700",
    "asset_id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "target_asset_id": "b35b7fb5-df86-5776-b181-68564193d360",
    "number": "001",
    "description": "Main character instance"
  }
]